
From: Yani Ioannou <yani.ioannou@gmail.com>

This patch updates all the device attribute callbacks that weren't
updated with the new parameter, I guess because they weren't in Greg's
tree (including drivers/pcmcia/ds.c). Without the patch these
callbacks are probably broken (and generate a warning along the lines
of "assignment from incompatible pointer type").

Please see http://lkml.org/lkml/2005/5/19/40 for the scripts I used to
update the attributes automatically.

Signed-off-by: Yani Ioannou <yani.ioannou@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/tpm/tpm.c |    2 +-
 drivers/char/tpm/tpm.h |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/char/tpm/tpm.c~fix-tpm-driver-sysfs-owernship-changes-fix drivers/char/tpm/tpm.c
--- 25/drivers/char/tpm/tpm.c~fix-tpm-driver-sysfs-owernship-changes-fix	2005-05-26 22:41:51.000000000 -0700
+++ 25-akpm/drivers/char/tpm/tpm.c	2005-05-26 22:41:51.000000000 -0700
@@ -368,7 +368,7 @@ ssize_t show_caps(struct device *dev, st
 
 EXPORT_SYMBOL_GPL(tpm_show_caps);
 
-ssize_t tpm_store_cancel(struct device * dev, const char *buf,
+ssize_t tpm_store_cancel(struct device * dev, struct device_attribute *attr, const char *buf,
 			 size_t count)
 {
 	struct tpm_chip *chip = dev_get_drvdata(dev);
diff -puN drivers/char/tpm/tpm.h~fix-tpm-driver-sysfs-owernship-changes-fix drivers/char/tpm/tpm.h
--- 25/drivers/char/tpm/tpm.h~fix-tpm-driver-sysfs-owernship-changes-fix	2005-05-26 22:41:51.000000000 -0700
+++ 25-akpm/drivers/char/tpm/tpm.h	2005-05-26 22:41:51.000000000 -0700
@@ -35,10 +35,10 @@ enum tpm_addr {
 	TPM_DATA = 0x4F
 };
 
-extern ssize_t tpm_show_pubek(struct device *, char *);
-extern ssize_t tpm_show_pcrs(struct device *, char *);
-extern ssize_t tpm_show_caps(struct device *, char *);
-extern ssize_t tpm_store_cancel(struct device *, const char *, size_t);
+extern ssize_t tpm_show_pubek(struct device *, struct device_attribute *attr, char *);
+extern ssize_t tpm_show_pcrs(struct device *, struct device_attribute *attr, char *);
+extern ssize_t tpm_show_caps(struct device *, struct device_attribute *attr, char *);
+extern ssize_t tpm_store_cancel(struct device *, struct device_attribute *attr, const char *, size_t);
 
 
 struct tpm_chip;
_
